# awesome-knowledge-graphs

Graphs and Knowledge Graphs - trying to build up my knowledge in this area. As part of the [bigger picture](https://github.com/frutik/awesome-search)

## Intro

* [Evaluation of graph data stores](https://tech.flipkart.com/flipkart-commerce-graph-evaluation-of-graph-data-stores-8fe0f964affd)
* [Labeled vs Typed Property Graphs — All Graph Databases are not the same](https://medium.com/geekculture/labeled-vs-typed-property-graphs-all-graph-databases-are-not-the-same-efdbc782f099)

### RDF Graphs

* [Tackling Big Data Challenges with Linked Data](https://medium.com/wallscope/tackling-big-data-challenges-with-linked-data-278b0761a6de)
* [Understanding Linked Data Formats](https://medium.com/wallscope/understanding-linked-data-formats-rdf-xml-vs-turtle-vs-n-triples-eb931dbe9827)
* [Creating Linked Data](https://medium.com/wallscope/creating-linked-data-31c7dd479a9e)
* [Constructing SPARQL Queries](https://medium.com/wallscope/constructing-sparql-queries-ca63b8b9ac02)
* [Constructing More Advanced SPARQL Queries](https://medium.com/wallscope/constructing-more-advanced-sparql-queries-72d5ade1eedc)
* [Comparison of Linked Data Triplestores: Developing the Methodology](https://medium.com/wallscope/comparison-of-linked-data-triplestores-developing-the-methodology-e87771cb3011) 
* [The intuitions behind Knowledge Graphs and Reasoning](https://towardsdatascience.com/the-intuitions-behind-knowledge-graphs-and-reasoning-59df2f1ad054)
  Concepts and examples

### LPG

* [Representation Learning on RDF* and LPG Knowledge Graphs](https://towardsdatascience.com/representation-learning-on-rdf-and-lpg-knowledge-graphs-6a92f2660241)

## Articles

* [Knowledge Graph App in 15min](https://medium.com/swlh/knowledge-graph-app-in-15min-c76b94bb53b3)
* [Named Entity Disambiguation Boosted with Knowledge Graphs](https://towardsdatascience.com/named-entity-disambiguation-boosted-with-knowledge-graphs-4a93a94381ef)
* [Knowledge Graph — A Powerful Data Science Technique to Mine Information from Text (with Python code)](https://medium.com/analytics-vidhya/knowledge-graph-a-powerful-data-science-technique-to-mine-information-from-text-with-python-f8bfd217accc)
* [Running JanusGraph with Cloud Bigtable](https://cloud.google.com/solutions/running-janusgraph-with-bigtable)
* [Knowledge Graph Queries Using Stardog](https://towardsdatascience.com/knowledge-graph-queries-using-stardog-ba882f84ceea)
* [Bring Order to Chaos: A Graph-Based Journey from Textual Data to Wisdom](https://neo4j.com/blog/bring-order-to-chaos-graph-based-journey-textual-data-to-wisdom/)
* [Where Ontologies End and Knowledge Graphs Begin](https://medium.com/predict/where-ontologies-end-and-knowledge-graphs-begin-6fe0cdede1ed)
* [Flipkart Commerce Graph — Evaluation of graph data stores](https://tech.flipkart.com/flipkart-commerce-graph-evaluation-of-graph-data-stores-8fe0f964affd)
* [Building a Large-scale, Accurate and Fresh Knowledge Graph](https://towardsdatascience.com/the-building-a-large-scale-accurate-and-fresh-knowledge-graph-71ebd912210e)
* Neo4j vs GRAKN [Part I: Basics](https://towardsdatascience.com/neo4j-vs-grakn-part-i-basics-f2fe3511ce88), [Part II: Semantics](https://towardsdatascience.com/neo4j-vs-grakn-part-ii-semantics-11a0847ae7a2)
* Comparing Graph Databases [Part 1: TigerGraph, Neo4j, Amazon Neptune](https://towardsdatascience.com/comparing-graph-databases-5475bdb2e65f), [Part 2: ArangoDB, OrientDB, and AnzoGraph DB](https://towardsdatascience.com/comparing-graph-databases-6b785e6e0818)

## Other

* [Combining WordNet and ConceptNet in Neo4j](http://tomkdickinson.co.uk/2017/05/21/combining-wordnet-and-conceptnet-in-neo4j/)
* [Dive into WordNet with NLTK](https://medium.com/parrot-prediction/dive-into-wordnet-with-nltk-b313c480e788)

## Do not use graphs

* [Should I use a graph database?](https://medium.com/lithictech/should-i-use-a-graph-database-a4ea91ed5d0)


## Cases

* [Retail Graph — Walmart’s Product Knowledge Graph](https://medium.com/walmartlabs/retail-graph-walmarts-product-knowledge-graph-6ef7357963bc)
* [Interest Taxonomy: A knowledge graph management system for content understanding at Pinterest](https://medium.com/@Pinterest_Engineering/interest-taxonomy-a-knowledge-graph-management-system-for-content-understanding-at-pinterest-a6ae75c203fd)
* Alibaba - [Learn How a Knowledge Graph Can Improve Your Online Shopping Experience](https://www.alibabacloud.com/blog/learn-how-a-knowledge-graph-can-improve-your-online-shopping-experience_595668)
* Semantics3 Labs - [The Ecommerce Knowledge Graph](https://www.semantics3.com/blog/the-ecommerce-knowledge-graph-semantics3-labs/)
* [Movie Recommendations powered by Knowledge Graphs and Neo4j](https://towardsdatascience.com/movie-recommendations-powered-by-knowledge-graphs-and-neo4j-33603a212ad0)
   Blazing fast, top-quality recommendations directly from the database
* [Determining compatibility](https://towardsdatascience.com/determining-compatibility-b952d941c22a)
* [Dynamic website navigation with Faceted search, using RDFox](https://medium.com/oxford-semantic-technologies/dynamic-website-navigation-with-faceted-search-using-rdfox-ce6c3753a35d)

## e-Learning

* [Knowledge Graphs. How should AI explicitly represent knowledge?](https://web.stanford.edu/class/cs520/)

## Tools

* [Stardog](https://www.stardog.com/)
* [Grakn](https://grakn.ai/)
* [Neo4j](https://neo4j.com/)
* [OrientDB](https://orientdb.com/)
* [Elasticsearch Graph](https://www.elastic.co/what-is/elasticsearch-graph)
* [JanusGraph](https://janusgraph.org/)
* [Tinkerpop/Gremlin](https://tinkerpop.apache.org/gremlin.html)
* [Ebay's Akutan - A distributed knowledge graph store](https://github.com/eBay/akutan)
